Duelist Kaien:
Last of all you must visit the territory of Aden... This territory is under martial law and many areas are off limits...
In the southern region of Aden, you will find the Tamlin Orcs. Defeat them and the Tamlin Orc Archers. Bring back 10 Tamlin Orc rings and 10 Tamlin Orc arrows.
Do you remember your mission in each territory? Always remember this motto: "I shall not surrender, I shall be victorious..." One day the Mark will be yours.
Return